/*
** hotregn.h
**
** Public header file for hotregion gadget
**
** Copyright (C) 1994 by
** Dean Clark
** Box 37464
** Albuquerque, NM  87176
** All rights reserved
*/

#ifndef HOTREGN_H
#define HOTREGN_H

#include   <smhotp.h>

#define SM_GetHotregionData(h)  ((h)->data)     /* void *               */
#define SM_GetHotregionNPts(h)  ((h)->npts)     /* int                  */
#define SM_GetHotregionPts(h)   ((h)->pts)      /* PointType *          */

HotregionType *SM_CreateHotregion(WindowType *w,
                                  int npts,
                                  int *pts,
                                  void *data,
                                  int (*drawfunc)(),
                                  int (*enterfunc)(),
                                  int (*leavefunc)(),
                                  int (*dragfunc)(),
                                  int (*userfunc)());

int SM_DestroyHotregion(HotregionType *h);


#endif
