/*
** smchkbxd.h
**
** Header file for device-dependent utility routines for the checkbox
** control type.
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** 22 May 1992:
** Original version
*/

#ifndef SMCHKBXD_H
#define SMCHKBXD_H

#include <smchkbx.h>
#include <smgadget.h>

int CheckboxProc(GadgetType *c, EventType *ev);
int CheckboxGroupProc(GadgetType *g, EventType *ev);
int DestroyCheckbox(GadgetType *c);
int DestroyCheckboxGroup(GadgetType *c);
int DrawCheckbox(GadgetType *c);
int DrawCheckboxGroup(GadgetType *g);
void ZapGroup(GadgetType *c);



#endif
