/*
** smfont.h
**
** Header file for TWS font handling
**
** Copyright (C) 1994 by
** Dean Clark
** Box 37464
** Albuquerque, NM  87176
** All rights reserved
*/

#ifndef SMFONT_H
#define SMFONT_H

#include    <smtypes.h>

void        SM_InitFontList(void);
int         SM_SetFont(FontType font, int width, int height, int facing);
int         SM_GetFontHeight(FontType font);
void        RemoveFont(FontType font);
int         SM_GetSystemFontDescent(void);
int         SM_GetSystemFontHeight(void);
FontType    SM_GetIconFont(void);
FontType    SM_GetSystemFont(void);
int         SM_GetSystemFontWidth(void);
FontType    SM_GetTitleFont(void);
int         SM_GetCurrentFontDescent(void);
int         SM_GetCurrentFontHeight(void);
int         SM_LoadSystemFont(FontType font);
void       *SM_GetFontBuf(char *font);
int         SM_GetTitleFontHeight(void);
int         SM_LoadFont(SysFontType *font, char *fontname);
FontType    SM_GetCurrentFont(void);
void        SM_SetFontSize(FontType font, int width, int height);
SysFontType *GetTheFont(FontType font);
void        FreeFonts(void);
void        SM_SetSystemFont(char *font);

#endif

