/*
** smhotp.h
**
** Private header file for Hot region gadget
**
** Copyright (C) 1994 by
** Dean Clark
** Box 37464
** Albuquerque, NM  87176
** All rights reserved
*/

#ifndef SMHOTP_H
#define SMHOTP_H

#include    <smtypes.h>
#include    <smgadgtp.h>
#include    <cursorp.h>
#include    <smeventp.h>


typedef struct {
    GadgetType  *gadget;
    RectType    devicerect;
    PolyHead    polyhdr;
    int         npts;
    PointType   *pts;
    PointType   *devpts;
    int         inside;
    int         (*enterfunc)(), (*leavefunc)(), (*dragfunc)(), (*drawfunc)();
    void        *data;
} HotregionType;

#endif
