/*
** smscrolp.h
**
** Private header file for scrollbar gadget.
**
**
** Copyright 1994 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
** All rights reserved
**
** Revision history:
**
** 12 December 1994
** Original version
*/

#ifndef SMSCROLP_H
#define SMSCROLP_H

#include <stdio.h>                      /* For 'void' definition            */
#include <smgadgtp.h>                   /* Generic gadget definitions       */
#include <smslidep.h>                   /* Slider gadget definition         */
#include <smbuttop.h>                   /* Button gadget defintion          */

typedef struct _sb {
    GadgetType  *gadget;
    void        *data;
    int         type;
    SliderType  *slider;
    ButtonType  *upbutton;
    ButtonType  *downbutton;
} ScrollbarType;


#endif
