/*
** smwutil.h
**
** Header for window utility routines
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
*/

#ifndef SMWUTIL_H
#define SMWUTIL_H

#include <smwindow.h>


void SM_PtDeviceToContent(WindowType *w, int xo, int yo, int *x, int *y);
void SM_PtContentToCanvas(WindowType *w, int xo, int yo, int *x, int *y);
void SM_PtDeviceToCanvas(WindowType *w, int xo, int yo, int *x, int *y);
void SM_PtCanvasToDevice(WindowType *w, int xo, int yo, int *x, int *y);
void SM_PtContentToDevice(WindowType *w, int xo, int yo, int *x, int *y);
int  SM_SaveAsPCX(char *fname, RectType *r);
int  SM_SaveWindowAsPCX(WindowType *w, char *fname);
int  SM_SaveScreenAsPCX(char *fname);
int  SM_SaveAsPostscript(char *fname, RectType *r);
void SM_SetRectangle(RectType *r, int x, int y, int w, int h);


#endif

