/*
** wintest2.c
**
** Second test of SM windowing system.
** Test of the basic event loop; does nothing.
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** Mon  06-29-1992
** Original version
**
** Sat  11 Apr 93
** Modified for MW4.1 and BC3.1
*/

#include <stdio.h>
#include "smwindow.h"
#include "smevent.h"

/*
** Borlandc requires extra stack
*/
#ifdef __TURBOC__
extern unsigned _stklen = 14336U;
#endif

main(int argc, char **argv)
{
    EventType   ev;
    int         msg;

    SM_Init(0, 0);                /* Initialize graphics system       */

    SM_OpenApplication("TWS Demo : Basic Event Loop", NULL); /* Create application screen    */
    while (True) {
        SM_GetNextEvent(&ev);
        msg = SM_ProcessEvent(&ev);
        if (msg & KEYPRESS) {
            SM_Exit(NULL);
        }
    }
}


