/*
** wintest3.c
**
** Third test of SM windowing system.
** Add an application menu to the desktop.
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
*/

#include <stdio.h>

#include "smwindow.h"
#include "smevent.h"
#include "smmenu.h"


main(int argc, char **argv)
{
    EventType   ev;
    int         msg;
    MenuType    *menu;

    SM_Init(0,0);                /* Initialize graphics system       */

    menu = SM_CreateMenu();
    SM_AddMenuItem(menu, SUBMENU_ITEM, "File", NULL, NULL);
    SM_AddMenuItem(menu, ACTION_ITEM, "Quit", NULL, NULL);

    SM_OpenApplication("TWS Demo : Application Menu", menu); /* Create application screen    */
    while (True) {
        SM_GetNextEvent(&ev);
        msg = SM_ProcessEvent(&ev);
        if (msg == KEYPRESS) {
            SM_Exit(NULL);
        }
    }
}


