/*
** smcolord.h
**
** Header file for device-dependent color utility routines
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history
**
** Sun  06-14-1992
** Original version
*/

#ifndef SMCOLORD_H
#define SMCOLORD_H

#include <smcolor.h>

void    GetDACColor(int dac, ColorType *c);
int     SM_GetDeviceColors(void);
void    LoadDAC(ColorType palette[], int min, int count);
void    ReadDAC(ColorType *pal, int min, int count);
void    SetDACColor(ColorType *c);
void    SetPaletteRegisters(void);
int     NumColorBits(void);


#endif
