/*
** smeditsd.h
**
** Header file for private utility functions for the editstring gadget.
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** 27 May 1992
** Original version
*/

#ifndef SMEDITSD_H
#define SMEDITSD_H

#include <smeventp.h>
#include <smgadget.h>
#include <smeditst.h>


int DeactivateEditstring(EditstringType *e);
int DestroyEditstring(GadgetType *c);
int DrawEditstring(GadgetType *text);
int EditstringProc(GadgetType *c, EventType *evnt);

#endif

