/*
** smmenud.h
**
** Header file for device-dependent utility functions for TWS menus
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** 3 Jun 1992
** Original version
*/

#include <smmenup.h>
#include <smwindow.h>
#include <smwindow.h>

/*
** Function prototypes
*/
int ApplicationMenu(
    WindowType *w,                      /* Active window                    */
    EventType *ev
    );
void GetMenuBox(MenuType *m, RectType *region, RectType *menurect, int *count);
MenuType *Drop_Menu(MenuType *menu);
void Draw_Ellipses(RectType *t);


