/*
** smpixmpp.h
**
** Private header file for pixmaps
**
** Copyright 1994 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** 12 December 1994
** Original version:
*/

#ifndef SMPIXMPP_H
#define SMPIXMPP_H


#include <smgadgtp.h>

/*
** Type definitions
*/

typedef struct {
    GadgetType  *gadget;                /* Superclass gadget                */
    int         *pixmap;                /* Array of color indices           */
    void        *piximage;              /* Screen image                     */
    int         redraw;                 /* If True then pixmap was modified */
    int         border;                 /* If True draw border around pixmap*/
    int         blocking;               /* If True then don't save image    */
} PixmapType;

#endif
