/*
** smslided.h
**
** Header for utility routines for the TWS slider gadget.
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** 22 May 1992:
** Original version
*/

#ifndef SMSLIDED_H
#define SMSLIDED_H

#include <smslider.h>                   /* Slider type definitions          */
#include <smgadget.h>                   /* Control type definition          */

/*
** Function prototypes
*/
int 	DestroySlider(GadgetType *c);
int 	DrawHorizontalSlider(SliderType *);
int 	DrawSlider(GadgetType *g);
int 	DrawVerticalSlider(SliderType *);
int 	MoveSliderThumb(SliderType *slider, RectType *chan, int pels);
int 	RedrawSliderThumb(SliderType *slider, RectType *channel);
int 	SliderProc(GadgetType *c, EventType *ev);
void 	ThumbbarDimple(RectType *r, int active);
int     smDrawSlider(SliderType *s);

#endif

