/*
** smstrlsd.h
**
** Header file for device-dependent internal procedures for the TWS
** stringlist control
**
** Copyright 1992, 1993 by
** Dean Clark
** PO Box 37464
** Albuquerque, NM  87176
**
** Revision history:
**
** 20 May 1992:
** Original version
*/

#ifndef SMSTRLSD_H
#define SMSTRLSD_H

#include <smstrlst.h>                   /* Stringlist definitions           */
#include <smgadget.h>                   /* Gadget type definition           */

int DestroyStringlist(GadgetType *g);
int DrawStringlist(GadgetType *g);
int RedrawStringlist(GadgetType *g);
int StringlistFunc(GadgetType *c, EventType *ev);
void ClearStringlist(StringlistType *slist);


#endif
