/*
** wintestl.c
**
** YesNoDialog test
**
** Copyright 1992, 1993, 1994 by
** Dean Clark
** TWS
** PO Box 37464
** Albuquerque, NM  87176
**
*/

#include <stdio.h>
#include "smwindow.h"
#include "smevent.h"
#include "smyesno.h"
#include "smok.h"
#include "smync.h"
#include "smwutil.h"


/*
** Borlandc requires extra stack
*/
#ifdef __TURBOC__
extern unsigned _stklen = 14336U;
#endif
void PrntScrn(WindowType *w, RectType *r, char *fname);

FILE    *ferr;

main(int argc, char **argv)
{
    EventType   ev;
    int         msg;
    char        *fname;
    PanelType   *lower;

    ferr = fopen("tws.err", "w");

    SM_Init(0,0);
    SM_OpenApplication("TWS Demo : 2-State Dialog", NULL);
    lower = SM_CreatePanel(40, DOWN);
    SM_SetPrintscreenProc(NULL, NULL, "yesno.pcx", PrntScrn);
    msg = SM_YesNoDialog("Pitch this app?",
                         "Way",
                         "No Way");
    msg = SM_OKDialog("Your response has been graciously accepted");
    msg = SM_YesNoCancelDialog("Now it's time to say goodnight to all our company",
                               "MIC", "KEY", "MOUSE");
    fclose(ferr);
    SM_Exit(NULL);

}


void PrntScrn(WindowType *w, RectType *r, char *fname)
{
    SM_SaveScreenAsPCX(fname);
}



